Thanks go to the following people for contributing run scripts: Alessandro Bono, Robin S. Socha, Claus Alboege, Paul Jarc, clemens fischer, Jesse Cablek, Lukas Beeler, Thomas Baden, Ralf Hildebrandt, Antonio Dias, Erich Schubert, Lang Martin, Tomasz Nidecki, Marek Bartnikowski, Thomas Schwinge, Gael Canal, Woon Wai Keen, Richard A Downing, Phil Genera, Stefan Karrmann, Kevin Berry, Karl Chen, Sascha Huedepohl, Jason Smith, Kevin, marlowe, ed neville, xavier dutoit.
See also here for some more run scripts.
#!/bin/sh exec in.tftpd --daemon --no-fork --tftpd-timeout 30 \ --retry-timeout 5 --no-tsize --no-blksize --no-multicast \ --maxthread 1000 --verbose=7 /var/atfpd 2>&1
#!/bin/sh exec 2>&1 exec env -i \ /pack/apache/1.3.27-1/sbin/httpd -F 2>&1(Debian woody)
#!/bin/sh exec 1>&2 exec apache-ssl -F
#!/bin/sh exec 2>&1 exec env -i /command/pgrphack \ /pack/apache/2.0.43-1/sbin/httpd -DFOREGROUND 2>&1(HP-UX/GNU, Linux)
#!/bin/sh TZ=MET-1METDST export TZ exec /usr/local/apache2/bin/httpd -DNO_DETACH
#!/bin/sh exec 2>&1 exec atd -d
#!/bin/sh MEM="`head -1 ./env/MEM`" CHROOT="`head -1 ./env/CHROOT`" exec softlimit -m "${MEM}" \ named -u bind -t "${CHROOT}" -g 2>&1(HP-UX/GNU, Linux)
#!/bin/sh exec named -f -t /var/spool/named/ -u named
#!/bin/sh exec 2>&1 ulimit -n 1024 exec /pack/boa/current/boa -c /pack/boa/current -d 2>&1
#!/bin/sh /pack/cfengine/sbin/cfagent --file /pack/cfengine/etc/cfagent.conf \ -L -v -q exec sleep 3600
#!/bin/sh exec 2>&1 set -e PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/bin DAEMON=cfsd CONFIG_FILE=/etc/cfs.conf # source config file test ! -r "$CONFIG_FILE" || . "$CONFIG_FILE" test -n "$CRYPT_ROOT" || exit 0 test -n "$NULL_EXPORT" || exit 0 test -n "$CFS_MOUNT" || exit 0 test -n "$CFS_UMOUNT" || exit 0 sv start portmap || exit 1 exec env \ NODAEMON=1 CFS_MOUNT="$CFS_MOUNT" CFS_UMOUNT="$CFS_UMOUNT" $DAEMON
#!/bin/sh exec 2>&1 exec chronyd -d -r -sThis service needs a log service to be set up.
#!/bin/sh exec 2>&1 exec setuidgid clamav softlimit -a 40000000 clamdThis service needs a log service to be set up.
#!/bin/sh exec 2>&1 exec chpst -uclamav clamsmtpd -d 3This service needs a log service to be set up.
#!/bin/sh exec 2>&1 PREFIX="/usr/lib/courier-imap" exec envdir ./env \ tcpserver -v -R 0 143 \ $PREFIX/sbin/imaplogin \ $PREFIX/libexec/authlib/authshadow \ $PREFIX/libexec/authlib/authvchkpw \ $PREFIX/bin/imapd MaildirSee also this page.
#!/bin/sh exec 2>&1 exec cron -f -l
#!/bin/sh exec 2>&1 exec cupsd -f
#!/bin/sh exec dhclient -e -d -cf ./config -lf ./leases -pf ./pid eth1
#!/bin/sh exec dhcpcd -a -d -D -H eth0
#!/bin/sh exec 2>&1 exec dhcpd-2.2.x -f -d -cf ./config eth0This service needs a log service to be set up.
(Solaris 8, uses additional dsvclockd service, would get fired off automatically, but then it's not supervised)
#!/bin/sh exec 2>&1 exec envdir ./env /usr/lib/inet/dsvclockd -f
#!/bin/sh if svok /service/dsvclockd; then sleep 2 # wait to make sure dsvclockd is initialized exec 2>&1 exec envdir ./env /usr/lib/inet/in.dhcpd -b manual -d # -v fi echo dsvclockd is not running - aborting exec /usr/bin/sleep 5The in.dhcpd service needs a log service to be set up.
#!/bin/sh exec 2>&1 exec dictd -d nodetach
#!/bin/sh exec 2>&1 exec dropbear -F -E -p 22This service needs a log service to be set up.
(Linux, running under tcpsvd)
#!/bin/sh exec 2>&1 exec tcpsvd -v -i./peers 0 22 dropbear -i -EThis service needs a log service to be set up.
#!/bin/sh exec /usr/local/sbin/exim -bdf -q30m
#!/bin/sh echo -n . exec sleep 300
#!/bin/sh exec 2>&1 exec fam -L -f -vThis service needs a log service to be set up.
(Debian sarge)
#!/bin/sh exec 2>&1 sv start /service/portmap || exit 1 exec famd -T 0 -f
#!/bin/sh exec 1>&2 daemon_directory=/usr/lib/postfix \ command_directory=/usr/sbin \ config_directory=/etc/postfix \ queue_directory=/var/spool/postfix \ mail_owner=postfix \ setgid_group=postdrop \ /etc/postfix/postfix-script check || exit 1 exec /usr/lib/postfix/master
#!/bin/sh exec 2>&1 exec fcron -f -yThis service needs a log service to be set up.
#!/bin/sh INTERVAL=551 exec 2>&1 echo "*** Starting fetchmail service..." exec env FETCHMAILHOME="./pid" \ chpst -u fetchmail fetchmail -v \ -f ./fetchmail.conf \ --nodetach \ --daemon ${INTERVAL}
#!/bin/sh exec gdm -nodaemon
#!/bin/sh exec mingetty tty5The runit package does not care about utmp records for getties. You should choose a getty that handles its own utmp and wtmp records. Debian's mingetty creates its own utmp record.
#!/bin/sh exec agetty 38400 tty1 linux
#!/bin/sh exec chpst -P fgetty tty4The runsv program does not automatically create a new session and separate process group for run scripts, which can cause some getties to fail due to limited permissions. The chpst program can be used to alter the process state for those getties.
#!/bin/sh exec 2>&1 . /etc/sysconfig/mouse exec gpm -D -m $MDEVICE -t $PROTOCOL
#!/bin/sh exec 2>&1 exec tcpsvd -l0 -u nobody 127.0.0.1 110 hotwayd
#!/bin/sh exec 2>&1 exec oidentd -i -S -t 10 -u daemon -g daemonThis service needs a log service to be set up.
(Debian)
#!/bin/sh exec /usr/local/sbin/oidentd --nosyslog -i -u ident -g ident -l 15 -m \ -C /etc/oidentd/oidentd.conf 2>&1This service needs a log service to be set up.
#!/bin/sh MEM="`head -1 ./env/MEM`" exec softlimit -m "${MEM}" \ setuidgid news \ /usr/sw/bin/news/inndstart -f -r
#!/bin/sh exec 2>&1 if [ -f /usr/local/jabber/jabber.pid ]; then rm /usr/local/jabber/jabber.pid fi exec setuidgid jabberd \ /usr/local/jabber/jabberd/jabberd -D -c /etc/jabber.xmlThis service needs a log service to be set up.
#!/bin/sh exec 2>&1 sleep 5 # so that jit starts after jabberd is up exec setuidgid jabberd \ /usr/local/jabber/jit/jabberd/jabberd -c /etc/jit.xmlThis service needs a log service to be set up.
#!/bin/sh exec 2>&1 DAEMON=junkbuster exec "$DAEMON" /etc/junkbuster/config
#!/bin/sh sv start /service/getty-* || exit 1 exec kdm -nodaemon
#!/bin/sh exec 2>&1 exec keepalived -n
#!/bin/sh exec klogd -n
#!/bin/sh exec 2>&1 exec envuidgid news \ tcpserver -v -x rules.cdb -c 10 -U 0 119 \ leafnodeThis service needs a log service to be set up.
#!/bin/sh -e exec < /proc/kmsg \ setuidgid loguser \ multilog t n64 ./main
#!/bin/sh DEBIANCONFIG=/etc/default/mdadm MAIL_TO=root test -f $DEBIANCONFIG && . $DEBIANCONFIG exec mdadm --monitor --scan --mail $MAIL_TO
#!/bin/sh exec 2>&1 exec envuidgid nobody \ tcpserver -vUR 0 113 \ timeoutafter 60 \ minidentd -vThis service needs a log service to be set up.
#!/bin/sh MPDCONF=/etc/mpd.conf exec mpd --stdout --no-daemon $MPDCONFThis service needs a log service to be set up.
#!/bin/sh secure="" for table in passwd group do if egrep '^'$table':.*nisplus' /etc/nsswitch.conf >/dev/null then nscd_nischeck $table || secure="$secure -S $table,yes" fi done exec nscd -d -- $secure
#!/bin/sh MEM=`head -1 ./env/MEM` exec softlimit -m "${MEM}" \ ntpd -n(OpenNTPD on OpenBSD/Linux)
#!/bin/sh exec /usr/sbin/ntpd -s -d 2>&1This service needs a log service to be set up.
#!/bin/sh exec 2>&1 exec tcpsvd -u nobody -x nullidentd-cdb -t 60 0 113 nullidentdThis service needs a log service to be set up.
#!/bin/sh exec 2>&1 exec setuidgid polipo \ polipo -c config forbiddenFile="`pwd`"/forbidden diskCacheRoot="`pwd`"/cacheThis service needs a log service to be set up.
#!/bin/sh exec tcpserver -R -v -c 50 0 995 /usr/local/sbin/stunnel -f -p /etc/ssl/stunnel.pem \ -l /var/qmail/bin/qmail-popup -- /var/qmail/bin/qmail-popup "`cat /var/qmail/control/me`" vchkpw /var/qmail/bin/qmail-pop3d Maildir 2>&1This service needs a log service to be set up.
#!/bin/sh exec 2>&1 exec setuidgid pop3vscan pop3vscan -dThis service needs a log service to be set up.
#!/bin/sh exec 2>&1 exec portmap -d
#!/bin/sh exec setuidgid postgres /usr/lib/postgresql/bin/postmaster \ -D /var/lib/postgres/data 2>&1This service needs a log service to be set up.
#!/bin/sh set -e # barf if modprobe fails modprobe cpufreq-userspace test ! -f /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor || exec /usr/sbin/powernowd -d echo "required sysfs objects not found!" echo "Read /usr/share/doc/powernowd/README.Debian for more information." sv down "$(pwd)"
#!/bin/sh exec 2>&1 echo "ppp -ddial dsl " exec ppp -unit0 -foreground dsl
#!/bin/sh exec 2>&1 exec chpst -P pppd call isp nodetach
#!/bin/sh exec 2>&1 exec chpst -u privoxy:nogroup privoxy --no-daemon /etc/privoxy/configThis service needs a log service to be set up.
#!/bin/sh exec 2>&1 exec proftpd -n -d 1This service needs a log service to be set up.
#!/bin/sh exec 2>&1 exec pure-ftpd -a 50 -E -l pam -u 100
#!/bin/sh exec 2>&1 exec radiusd -f -y -z -lstdoutThis service needs a log service to be set up.
#!/bin/sh MRTGUID=`id -u mrtg` MRTGGID=`id -g mrtg` exec 2>&1 exec tcpserver -l 0 -R -H -q \ -u"${MRTGUID}" -g"${MRTGGID}" 0 5660 /home/mrtg/ext/rmrtg
#!/bin/sh exec 2>&1 exec softlimit -d 100000000 tcpserver \ -x /pack/rsync/rsync.service/tcp.rsync.cdb -v -c 100 -U -H -l 0 -R \ 1.2.3.4 873 nice -2 /pack/rsync/bin/rsync --daemon --no-detach \ --config /pack/rsync/etc/rsyncd.confThis service needs a log service to be set up.
#!/bin/sh PATH="/usr/local/samba/bin" exec 2>&1 exec smbd -F -S -d3This service needs a log service to be set up.
#!/bin/sh PATH="/usr/local/samba/bin" exec 2>&1 exec nmbd -F -S -d1This service needs a log service to be set up.
#!/bin/sh exec 2>&1 exec setuidgid sc_serv \ /usr/local/sc_serv/bin/sc_serv /etc/sc_serv.confThis service needs a log service to be set up.
#!/bin/sh exec spamd -m 20 -a -H -s stderr 2>&1This service needs a log service to be set up.
#!/bin/sh exec squid -f ./config -sN
#!/bin/sh exec 2>&1 exec /usr/sbin/sshd -D -eThis service needs a log service to be set up.
#!/bin/sh -e exec 2>&1 exec \ tcpserver -1vpdl0 -Xxtcp.cdb 0 ssh \ sshd -ief configThis service needs a log service to be set up.
#!/bin/sh exec 2>&1 NEED_LOCKD=yes if test -f /proc/ksyms; then # We need to be conservative and run lockd, # unless we can prove that it isn't required. grep -q lockdctl /proc/ksyms || NEED_LOCKD=no fi if [ "$NEED_LOCKD" = yes ]; then rpc.lockd fi exec rpc.statd -F -dThis service needs a log service to be set up.
#!/bin/sh sv start portmap statd || exit 1 RPCNFSDCOUNT=8 # Number of servers to be started up by default RPCMOUNTDOPTS= trap '/usr/bin/killall -2 nfsd' 0 trap 'exit 2' 1 2 3 15 exportfs -r rpc.nfsd -- $RPCNFSDCOUNT rpcinfo -u localhost nfs 3 >/dev/null 2>&1 || RPCMOUNTDOPTS="$RPCMOUNTDOPTS --no-nfs-version 3" exec rpc.mountd -F $RPCMOUNTDOPTS
#!/bin/sh exec /usr/local/sbin/stunnel -f -d 1234 -r 25 -v3 -a /etc/ssl/mailcerts 2>&1
#!/bin/sh exec 2>&1 exec /usr/bin/svnserve -d --foreground
#!/bin/sh exec 2>&1 exec tcpsvd -l0 127.0.0.1 901 swat
#!/bin/sh exec syslogd -n
#!/bin/sh exec 2>&1 exec setuidgid taiclock /usr/local/clockspeed/bin/taiclockd
#!/bin/sh exec /usr/local/tmda/bin/tmda-ofmipd -f -d -R pop3 -p my.host.name:8025 2>&1This service needs a log service to be set up.
#!/bin/sh exec 2>&1 exec \ setuidgid apache \ /pack/tomcat/current/bin/catalina.sh run
#!/bin/sh exec 2>&1 exec chpst -P -u debian-tor:debian-tor tor
#!/bin/sh exec 2>&1 exec tcpserver -c30 -Xv -llocalhost \ -x/etc/tcp.ftp.cdb -uvsftpd -gvsftpd 0 ftp \ softlimit -d300000 /var/vsftpd/bin/vsftpdThis service needs a log service to be set up.
#!/bin/sh exec 2>&1 exec wvdial ISPThis service needs a log service to be set up.
#!/bin/sh sv start /service/vc-* || exit 1 exec xdm -nodaemon
#!/bin/sh SOCKET_DIR=/tmp/.font-unix mkdir -p $SOCKET_DIR chown 0:0 $SOCKET_DIR chmod 1777 $SOCKET_DIR exec /usr/bin/X11/xfs -nodaemon